"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiCache = void 0;
var ApiCache = /** @class */ (function () {
    function ApiCache() {
        this.apiResponses = new Map();
    }
    ApiCache.prototype.getCachedResponse = function (id) {
        return this.apiResponses.get(id);
    };
    ApiCache.prototype.setCachedResponse = function (id, data, cacheExpiry) {
        var _this = this;
        this.apiResponses.set(id, data);
        if (cacheExpiry) {
            setTimeout(function () {
                _this.deleteCachedResponse(id);
            }, cacheExpiry);
        }
        return data;
    };
    ApiCache.prototype.deleteCachedResponse = function (id) {
        this.apiResponses.delete(id);
    };
    return ApiCache;
}());
exports.ApiCache = ApiCache;
//# sourceMappingURL=cache.js.map